/*
 *
 *  $Id: compat.h 681 2005-11-14 04:25:51Z isely $
 *
 *  Copyright (C) 2005 Mike Isely <isely@pobox.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef __PVRUSB2_COMPAT_H
#define __PVRUSB2_COMPAT_H

/*

  This header is present to facilitate integration with the v4l core
  source tree.  In video4Linux, the source code in its out-of-tree
  form is not supposed to include linux/version.h directly but rather
  grab compat.h instead which defines lots of stuff to assist with
  backwards compatibility.  When a patch set is created and submitted
  to the main kernel, a script processes out all the places where
  compat.h is included - because in the main kernel such backwards
  compatibility is not needed.

  Because the pvrusb2 driver has similar needs and in an attempt to
  keep the code as similar as possible between v4l and the driver
  itself, we also will include compat.h instead of linux/version.h.
  Thus this header is defined here to link ourself correctly back to
  the needed kernel header(s).

 */

#include <linux/version.h>

#endif /* __PVRUSB2_COMPAT_H */

/*
  Stuff for Emacs to see, in order to encourage consistent editing style:
  *** Local Variables: ***
  *** mode: c ***
  *** fill-column: 70 ***
  *** tab-width: 8 ***
  *** c-basic-offset: 8 ***
  *** End: ***
  */
